Subject: Re: our git linked with openssl, license is incompatible

From: Efraim Flashner <[email-masked]>
Date: Thu, 1 May 2025 14:48:58 +0300

On Tue, Apr 15, 2025 at 10:09:33AM -0400, Greg Hogan wrote:
> On Tue, Apr 15, 2025 at 4:38 AM Z572 <[email-masked]> wrote:
> >
> > see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1094969
> 
> Should we follow Debian's lead and close this bug?

I followed the debian bug at the time and I checked our version of git.
We have openssl integrated in several places in git (specifically in
cyrus-sasl) where gnutls wasn't a drop-in replacement. I think it would
be nice to be able to use gnutls instead of openssl in more places but
I'm willing to follow Debian's lead here.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted